CommonAPI2 - Neue Versionen und wichtige Informationen

Willkommen in der Transport Fever Community

Welcome to the fan community of Transport Fever and Train Fever, the economic simulators of Urban Games. The community is free for you to share and inform yourself about the game. We cultivate a friendly and objective interaction with each other and our team will be happy to answer any questions you may have.

 

Registration and use is of course free for you.

 

We wish you a lot of fun and hope for active participation.

The Team of the Transport-Fever Community

  • 1.7.20211017 mit Linux TPF2 Hotfix 34983:


    funktioniert auch mit Linux Build 34983 via buildoverwrite -> steam_34983_2


    Da es unter Linux funktioniert, wird es höchstwahrscheinlich auch unter Windows gehen (ungetestet) edit funktioniert:

    Windows Build 34983 via buildoverwrite -> steam_34983_1


    (As tested, both linux and windows version works with build overwrite)


    Steam:

    Windows steam_34983_1

    Linux steam_34983_2


    GOG:

    Windows: gog_34983_1

    Linux: gog_34983_2


    Buildoverwrite:

    Schnelleinstieg - Buildoverwrite

    Quickstart guide - buildoverwrite



    CommonAPI2 Download:

    CommonAPI2 (via Downloads)

  • 1.7.20220223 funktioniert mit Build 34983 direkt.

    1.7.20220223 works directly with Build 34983.


    CommonAPI2 Download:

    CommonAPI2 (via Downloads)


    Linux Nutzer wird dringend empfohlen auf diese Version zu updaten. Es beseitigt Fehler beim Umschalten zwischen OpenGL und Vulkan Renderer.

    Für Windows Nutzer, die Track Toolbox sollte wieder funktionieren.


    Linux users should use this version, it reduces crashes between OpenGL & Vulkan render changes.

    Windows users, the track toolbox should work again.


  • Und wieder der allgemeine Hinweis:


    Nutzt buildoverwrite nicht einfach mit der nächsten Beta Version von TPF2.

    Technisch kann ich nur eine wirkliche Kompatibilitätsaussage treffen, sobald ich das Spiel in den "Händen" habe. Auch dann kann ich erst mit Code Anpassungen anfangen!

    Da viele Änderungen hier und da sind, wird das Spiel mit leichtsinniger Nutzung von buildoverwrite explodieren! Ich habe euch gewarnt.


    Please don't use buildoverwrite blindly for the next beta version of TPF2.


    Technical I can only give a statement about compatiblity when I have a copy of the beta game. Then I can start to actually develop any code changes.

    As there a lot changes in the game, using buildoverwrite will result in a exploding game. I have warned you...



    -edit-
    News:
    CommonAPI2 Entwicklungsdiskussion, Fragen & Antworten

  • TPF2 Linux & Windows Build 35049:


    1.7.20220613

    - Support for Steam, GOG Windows and Linux 35049

    - use string translate "Enable" in line destination ui

    - add new InspectWindow zoneSize 5, make 10 as default

    - native: fix internal ecs::coomponent::Construction layout for linux


    1.7.20220603-dev

    - Linux fix streetterminal building, StreetTerminalHook segmentEntity memory location difference

    - Support for Steam Windows and Linux 35049

    - Disabled flexstreet parser and savegamemodlistcallback debug printout


    1.7.20220601-dev

    - Support for Steam Windows and Linux 35049

    - Tux edition, build system has changed, could create problems maybe

    - add support for mod.lua requiredModsAnyLoadOrder = true (so load order of requiredMods won't be checked)


    1.7.20220526-dev

    - don't test for translate2 string, a broken mod may provide a defunctional version.

    - mods: load stageing mods last, load order game, local, steam, stageing_area

    - mods: add source staging


    1.7.20220524-dev

    - Support for Steam Windows 35049

    - For testing eis_os_streetpackage, please enable newevents


    Download 1.7.20220613

    CommonAPI2

  • TPF2 Build 35050:

    Buildoverwrite nutzen, please use buildoverwrite:
    steam_35050_1 Windows

    steam_35050_2 Linux


    Download 1.7.20220613

    CommonAPI2



    Linux glibc Version Probleme?

    Die CommonAPI2Native.so Datei ersetzen, zu finden hier:

    Replace CommonAPI2Native.so library with this library:

    CommonAPI2 Entwicklungsdiskussion, Fragen & Antworten

BlueBrixx